Subject: bug#13864: 24.3.50; emacsclient -t loops when connected to emacs server running in X11

From: [email-masked] (Ashish SHUKLA)
Date: Thu, 07 Mar 2013 15:49:55 +0530

On Thu, 07 Mar 2013 11:16:18 +0200, Eli Zaretskii <[email-masked]> said:
>> From: [email-masked] (Ashish SHUKLA)
>> Cc: [email-masked]
>> Date: Thu, 07 Mar 2013 13:08:49 +0530
>> 
>> > Thanks.  However, didn't you say that the flickering only starts once
>> > you type "C-x C-f" in the frame open by emacsclient?  If so, I need
>> > this GDB output after you type "C-x C-f", please.
>> 
>> Well, it happens:
>> 
>> - if I press C-x C-f in 'emacsclient -t' xterm
>> 
>> OR
>> 
>> - focus to X11 frame
>> - focus back to 'emacsclient -t' xterm
>> - press any key

> And the output you sent was after one of these recipes?  If so, then
> what you sent is all I need for now.

Right, the output where "redisplay_internal" was the only frame in the Lisp
backtrace is when it started flickering.

>> Do you know any way to prevent GDB from paging the output
>> (i.e. printing "press enter to continue message"), which becomes
>> annoying when capturing a streaming output like this ?

> Either

>     (gdb) set pagination off
> or
>     (gdb) set height 0

> will do that.

Thanks

Let me know if you need anything else or like me to test something.

Thanks
-- 
Ashish SHUKLA

“The wonderful thing about science is that it doesn't ask for your faith, it
just ask for your eyes.” (xkcd #154)

Sent from my Emacs